[WordPress | IIS8.5]_更新PHP版本後,WordPress站台要做的調整

今天嘗試著將PHP 5.4更新到PHP 5.6,而遇到了一些問題,

有與PHP相關的就是Wordpress了,因為是架在IIS 8.5上,更新php版本時,各站台的PHP版本設定也要跟著改。

否則再移除掉舊版PHP的時候,有用到PHP的站台就會噴500啦~,尤其實在站台底下的應用程式,設定就不會跟最上層的IIS主機設定連動等…

 

以下會娓娓道來這些小細節。


 

I. 移除舊版PHP步驟

這裡用PHP 5.4移除示範,安裝新版PHP 5.6

如果你是透過Web Platform Installer安裝的,並沒辦法透過自動化方式移除,

從外國文章可以知道步驟,這裡放上原文連結,其實我是參考Henry Jin的回答:http://serverfault.com/questions/273225/how-do-i-uninstall-a-web-platform-installer-wpi-installation-of-php

 

  1. 打開IIS管理員,選取左邊欄位最上層機器首頁,然後再畫面中間選擇IIS分類底下的處理常識對應(Handler Mappings),移除PHP54_via_FastCGI,這裡要注意的是到了PHP5.6,就變成PHP_via_FastCGI,代表之後從Web Platform Installer安裝的Handler名稱可能就是統一這個名稱不分版本了?

 

2.接著一樣是最上層機器的首頁,IIS分類底下的選擇FastCGI設定(FastCGI Settings),也是移除關於php5.4的設定。

 

3.到控制台的新增移除程式,移除任何關於php 5.4的程式內容,例如WinCache

 

4.手動砍掉C:\Program Files (x86)\PHP\v5.4整個資料夾


 

II. 安裝新版PHP 5.6步驟

 

移除完5.4後。我們要透過Web Platform Installer再安裝新版的php 5.6

到Web Platform Installer搜尋php,選擇php 5.6(撰稿當下最新版本)

1


 

III. 修正站台PHP版本

上層設定改完後,照理來說個站台的處理常式對應都會繼承下來,但還是檢查一下,如果個站台裡面的處理常式對應還有之前版本的設定,要一併移除。

並利用PHP Manager(https://phpmanager.codeplex.com/)去檢查各站台的php版本設定情況有沒有對。

 

我這裡就發生站台下面的子站台(應用程式)內設定的處理常式對應並沒有正確設定,仍然存留先前php54的設定,這時候要手動移除,該子站台下的目錄內的php設定才會指向對的版本。

2

 

 

都確定移除舊版的處理常式對應後,就可以看看WORDPRESS有沒有正常回來了~

所以主要兩個部分:

  1. 最上層SERVER的FASTCGI設定要檢查,是否存留舊版PHP設定
  2. 最上層SERVER還有各站台/應用成的處理常式對應設定要檢查,是否存留舊版PHP設定

 

 

以上整理~

 

 

Leave a comment

Your email address will not be published.




這個網站採用 Akismet 服務減少垃圾留言。進一步瞭解 Akismet 如何處理網站訪客的留言資料

Bitnami